httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Milan Andric <mand...@eecs.berkeley.edu>
Subject Re: [users@httpd] ./configure error
Date Wed, 21 Apr 2004 17:43:45 GMT
On Wed, Apr 21, 2004 at 11:03:00AM +0700, Hengga wrote:
> Hi ...
> 
> I want to ask, I tried to install apache 2 + php 4 + mysql from source on
> Mandrake 9.1.
> When I configure httpd 2.0.49 :
> # cd http-2.0.49
> # ./configure --prefix=/usr/local/apache2
> # cd ../php-4.3.5
> #
> ./configure --with-mysql --with-apache=/usr/local/apache2 --enable-track-var
> s
> # make
> # make install
> # cd ../httpd-2.0.49

at this point it looks like everything went ok? i'm not sure what the below
command is supposed to do but ./configure doesn't understand the
--activate-module option. you probably don't need it if everything compiled and
installed ok.  when compiling php you might need
--with-apxs2=/usr/local/apache2/bin/apxs rather than --with-apache. at least i
did with php 4.3.3.

have you tried starting apache? what's the error? have you looked to see if the
libphp4.so module is specified in httpd.conf with LoadModule directive?

> # ./configure --activate-module=src/modules/php4/libphp4.a
> configure: error: unrecognized option:
> activate-module=src/modules/php4/libphp4.a
> Try `./configure --help' for more information
> 
> How should I fix it?
> Thanks.
> 
-- 
Milan

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message